This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours

Bug 816352 (CVE-2012-2140)

Summary: CVE-2012-2140 rubygem-mail: arbitrary command execution when using exim or sendmail from commandline
Product: [Other] Security Response Reporter: Vincent Danen <vdanen>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: high Docs Contact:
Priority: high    
Version: unspecifiedCC: bkabrda, bressers, kraman, tkramer, vondruch
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=important,public=20120314,reported=20120425,source=suse,cvss2=7.5/AV:N/AC:L/Au:N/C:P/I:P/A:P,cloudformscommon-1/rubygem-mail=affected,sam-1/rubygem-mail=affected,openshift-1/rubygem-mail=affected,fedora-all/rubygem-mail=affected,cwe=CWE-78
Fixed In Version: rubgem-mail 2.4.4 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-03-15 00:01:08 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 816355, 854444, 854446, 854447, 857074, 995685    
Bug Blocks: 816354, 836071, 892883    

Description Vincent Danen 2012-04-25 17:04:55 EDT
Two flaws were corrected in rubygem-mail version 2.4.4:

A file system traversal in file_delivery method [1].

Arbitrary command execution when using exim or sendmail from the commandline [2],[3].

[1] https://github.com/mikel/mail/commit/29aca25218e4c82991400eb9b0c933626aefc98f
[2] https://github.com/mikel/mail/commit/36b7fa23d38cb59dd79b7efa258ef0e7ddab5a11
[3] https://github.com/mikel/mail/commit/ac56f03bdfc30b379aeecd4ff317d08fdaa328c2
Comment 1 Vincent Danen 2012-04-25 17:09:45 EDT
Created rubygem-mail tracking bugs for this issue

Affects: fedora-all [bug 816355]
Comment 2 Kurt Seifried 2012-04-25 23:51:10 EDT
Assigned CVE as per http://www.openwall.com/lists/oss-security/2012/04/26/1
Comment 3 Fedora Update System 2012-05-19 02:58:00 EDT
rubygem-mail-2.4.4-1.fc15, rubygem-actionmailer-3.0.5-3.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2012-05-19 02:58:25 EDT
rubygem-mail-2.4.4-1.fc16, rubygem-actionmailer-3.0.10-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2012-05-26 02:47:30 EDT
rubygem-mail-2.4.4-1.fc17, rubygem-actionmailer-3.0.11-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 errata-xmlrpc 2012-12-04 14:31:11 EST
This issue has been addressed in following products:

  CloudForms for RHEL 6

Via RHSA-2012:1542 https://rhn.redhat.com/errata/RHSA-2012-1542.html
Comment 12 Kurt Seifried 2013-01-03 17:29:57 EST
Moving this to CVE-2012-2140 only Bug, created CVE-2012-2139 Bz entry separately.
Comment 13 Tomas Hoger 2013-01-04 02:42:55 EST
This bug was split because of the different impact of the two issues.  CVE-2012-2140 continues to be tracked via this bug, while CVE-2012-2139 got a separate bug 891762.